#!/usr/bin/env python

from narval.Engine import Narval,start
import profile
import sys

n = Narval()
n.post_event( ('loadRecipes',) )
n.post_event( ('loadTransforms',) )
n.post_event( ('loadModules',) )
n.post_event( ('loadMemory',None) )
n.post_event( ('startRPC',9000,(None,None),[]) )
n._start_socketManager()
print ' -----------------------------------------'
print '|      Commencement du profilage          |'
print ' -----------------------------------------'
profile.run('start(n,0)',sys.argv[1])

